package com.eco.plugin.xx.tgjtsso.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "单点登录配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.idmsso.config", text = "单点登录配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "authurl", name = "获取ticket地址", description = "获取ticket地址", status = Status.SHOW)
    private Conf<String> authurl = Holders.simple("");

    @Identifier(value = "userurl", name = "获取用户信息地址", description = "获取用户信息地址", status = Status.SHOW)
    private Conf<String> userurl = Holders.simple("");

    @Identifier(value = "logouturl", name = "单点登出地址", description = "单点登出地址", status = Status.SHOW)
    private Conf<String> logouturl = Holders.simple("");

    public String getAuthurl() {
        return authurl.get();
    }

    public void setAuthurl(String url) {
        this.authurl.set(url);
    }

    public String getUserurl() {
        return userurl.get();
    }

    public void setUserurl(String url) {
        this.userurl.set(url);
    }

    public String getLogouturl() {
        return logouturl.get();
    }

    public void setLogouturl(String url) {
        this.logouturl.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
//        cloned.text = (Conf<String>) text.clone();
//        cloned.count = (Conf<Integer>) count.clone();
//        cloned.price = (Conf<Double>) price.clone();
//        cloned.time = (Conf<Long>) time.clone();
//        cloned.student = (Conf<Boolean>) student.clone();
        return cloned;
    }

}
